Home Download Buy Blog Forum Support

Error installing tmLanguage file

Error installing tmLanguage file

Postby ow1n on Tue Feb 01, 2011 9:02 pm

I'm trying to install the Perl Template Toolkit language parser from https://github.com/gtcaz/tmbundles4win/ ... er/Bundles. I've copied the .tmLanguage file to Packages/Perl Template Toolkit and restarted. I'm getting this error:

Error loading syntax file Packages/Perl Template toolkit/HTML (Template Toolkit).tmLanguage: Unknown include #embedded-code


Can anyone help me fix this problem?
ow1n
 
Posts: 11
Joined: Mon Nov 16, 2009 4:23 pm

Re: Error installing tmLanguage file

Postby pixelpusher on Tue Nov 22, 2011 4:51 pm

Did you ever figure this out? I'm having the same issue.
pixelpusher
 
Posts: 1
Joined: Tue Nov 22, 2011 4:50 pm

Re: Error installing tmLanguage file

Postby bizoo on Wed Nov 23, 2011 9:07 am

I already have this kind of error, but my knowledge of .tmLanguage is next to nothing and don't know what the problem.
I suppose it's a bug of ST2.

To remove the error, change all occurrence of:
Code: Select all
<string>#embedded-code</string>

by:
Code: Select all
<string>embedded-code</string>

But I don't know if if the the grammar still work correctly...
bizoo
 
Posts: 888
Joined: Wed Dec 08, 2010 6:53 am
Location: Switzerland

Re: Error installing tmLanguage file

Postby jps on Wed Nov 23, 2011 10:52 am

This occurs because the embedded-code rule in the repository is empty, which Sublime Text is unhappy about (there's no point having or including an empty rule). I'll make it a warning rather than an error in the next dev build.
jps
Site Admin
 
Posts: 3077
Joined: Wed Mar 19, 2008 12:33 pm


Return to Technical Support

Who is online

Users browsing this forum: No registered users and 27 guests